---
date: 2020-11-16
id: cdd80a6e-47b0-4d59-b117-6f875f37a952
title: info() / setInfo()
---

# Description

Add description/help/debug message to Resolver option

# Syntax

``` php
// using the traditional syntax
$resolver->setInfo('scheduledAt', 'It must be a date in the future.');

// using the fluent interface
$resolver->define('scheduledAt')
    // ...
    ->info('It must be a date in the future.');
```

    The option "scheduledAt" with value DateTime is invalid.
    Info: It must be a date in the future.
